#!/bin/sh
#
# $1 can be true or false

case $1 in
    true)
        services-blacklist del NetworkManager
        mv /cdrom/etc/network/interfaces /cdrom/etc/network/interfaces.bak
        cat > /etc/network/interfaces << EOF
auto lo
iface lo inet loopback
EOF

        ;;

    false)
        services-blacklist add NetworkManager
        if [ -f /cdrom/etc/network/interfaces.bak ]; then
            mv /cdrom/etc/network/interfaces.bak /cdrom/etc/network/interfaces
        else
            cat > /etc/network/interfaces << EOF
auto lo
iface lo inet loopback

auto eth0
iface eth0 inet dhcp

auto ath0
iface ath0 inet dhcp

auto wlan0
iface wlan0 inet dhcp
EOF

        fi
        ;;
esac

exit 0

